# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob



def update_package():
    # Declaring local variables
    package_updated = False

    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    download_url ="https://purple-pen.org/downloads/latest_version.txt"

    txt = wgets(download_url, proxies=proxies)
    lines = txt.split("\n")
    exe_file = lines[1]

    download_url = "https://purple-pen.org/downloads/"+ exe_file

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(exe_file):
        print("Downloading: %s" % exe_file)
        wget(download_url, exe_file, proxies=proxies)
        package_updated = True
    else:
        print("Binary is present: %s" % exe_file)


    # Deleting outdated binaries
    for f in glob.glob('*.exe'):
        if f != exe_file:
            remove_file(f)
    version = get_version_from_binary(exe_file)
    # Mettre à jour le package
    control.set_software_version(version)
    control.save_control_to_wapt()


